Skip to content
Browse API reference

Update a List Item

Request

PUT https://api.castle.io/v1/lists/{list_id}/items/{id}

Path parameters

list_idrequired
string

ID of the List

idrequired
string

ID of the List Item

Request body

comment
required
string

An arbitrary string that can be used to eg. explain why this List Item was created. Often useful to display to other users.

Response

201
object

Returns the updated List Item

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

404
No body

Not found

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.